/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package funambol.syncclient.blackberry.email.impl;
import net.rim.blackberry.api.mail.Message;

/**
 * <code>MailParser</code> Interface for Parsing Message Obj.
 *
 * $Id: MailParser.java,v 1.0
 */
public interface MailParser {

    /**
    * Parse a string representation of a contact to BlackBerry Contact
    *
    * @param contactString
    * @return
    */
    public Message parseMessage(String messageString,String locURI);

    /**
    * converts a BlackBerry Contact to a string format.
    *
    * @param contact
    * @return
    */
    public String toString();
    
    /**
    * Sets the Parse params 
    *
    * @param contact
    * @return
    */
    public void setParseParams(String foldername, Message message);
    
    /**
    * Returns the command ID
    *
    * @param contact
    * @return
    */
    public int getCommandId();
    
    public void setCommandId(int commandId);
   
}
