/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package funambol.syncclient.blackberry.email.impl;

import java.util.Vector;

/**
 * <code>StringUtil</code> Utility string class
 *
 * $Id: StringUtil.java,v 1.0
 */
public class StringUtil {
    
    private Vector stringList=new Vector();

    
    /**
    *
    *Splits the string based on regex 
    *
    **/
    
    public String[] split(String s,String regex){
    
        int index = s.indexOf(regex);
        
        if(index != -1){
            
            stringList.addElement(s.substring(0,index));
            String tempStr = s.substring(index + regex.length(),s.length());
            split(tempStr,regex);
        
        }
        else{
            
            stringList.addElement(s);
        }
        return getStringArray(stringList);
    }

    /**
    *
    *Returns the string array
    *
    **/
    private String[] getStringArray(Vector stringList){
        
        if(stringList==null){
            
            return null;
        
        }
        
        String[] stringArray=new String[stringList.size()];
        
        for(int i=0;i<stringList.size();i++){
            
            stringArray[i]=(String) stringList.elementAt(i);
        
        }
        
        return stringArray;
    }
    
    /**
    *
    *Removes unwanted wide spaces
    *
    **/
    public static String removeWideSpaces(String content){
        
        if(content==null){
              
              return null;
        
        }
    
        StringBuffer buff = new StringBuffer();
        buff.append(content);
        
        for(int i = buff.length()-1; i >= 0;i--){
            
            if(' ' == buff.charAt(i)){
                
                buff.deleteCharAt(i);
            }
        }
      
        return buff.toString();
                
    }

}

